# Interface methods for submodule: ScalarToRGBColormapImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ScalarToRGBColormapImageFilter
class ScalarToRGBColormapImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetColormap(self, _arg) -> None:
		""""""
		...

	@overload
	def SetColormap(self, arg0) -> None:
		""""""
		...

	def GetModifiableColormap(self):
		""""""
		...

	def GetColormap(self):
		""""""
		...

	def SetUseInputImageExtremaForScaling(self, _arg: bool) -> None:
		""""""
		...

	def GetUseInputImageExtremaForScaling(self) -> bool:
		""""""
		...

	def UseInputImageExtremaForScalingOn(self) -> None:
		""""""
		...

	def UseInputImageExtremaForScalingOff(self) -> None:
		""""""
		...

